<?php
session_start();
include('config.php');
include_once($rutaPhp.$rutaHtml.'/librerias/constantes.php');

include_once($rutaPhp.$rutaHtml.'/acceso/control.php');
include_once($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include_once($rutaPhp.$rutaHtml.'/librerias/funciones-generales.php');
include_once($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); 

$numPalet=$_GET['palet'];

foreach($paletsPicking as $item) if($item['Palet']==$numPalet) $palet=$item;


if($_POST['enviar']==1) {
	
	//SGAPreparar#Empresa#Usuario#PREPARARCROSSDOCKING#Almacen#Empresa;NumOrden;Albaran;Palets

	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PREPARARPALETPICKING#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';'.$numPalet;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	
	$valores=explode('#',$resultado[0]['Error']);
	
	//echo '<p>Valores:</p>';
	//print_r($valores);
	
	if($valores[0]=='1') {
	
		?>
		<script>
			alert('<?php echo $valores[1]; ?>',null,'error');
        </script>
		<?php
	}
	else if($valores[0]=='0') {
	
		//Volvemos a la pantalla principal
		?>
		<script>
			alert('<?php echo $valores[1]; ?>',null,'ok')
			.done(function(){
				$('#popupCargando').show();
				window.location='orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
			});
        </script>
		<?php
	}
	else if($valores[0]=='2') {
	
		?>
		<script>
			$('#popupCargando').show();
			window.location='orden-preparacion-proceso-S.php';
        </script>
		<?php
	
	}
	
}

?>

<h2 style="margin-top:0">Orden de Preparación Nº <?php echo $_SESSION['orden']['OrdenPreparacion']; ?></h2>

<p>Proceso de lectura de Palet procedente de Picking</p>

<form id="formulario" name="form1" method="post" action="">

            
</form>
  

<script>

	function habilitaBotonPlay(valor) {
	
		if(valor) {
			$('#botonSgteProducto').attr('src','<?php echo DIR_IMAGENES; ?>/botones/play.png');
			$('#botonSgteProducto').removeClass('off');
			$('#botonSgteProducto').addClass('continuar');
		}
		else {
			$('#botonSgteProducto').attr('src','<?php echo DIR_IMAGENES; ?>/botones/play-off.png');
			$('#botonSgteProducto').addClass('off');
			$('#botonSgteProducto').removeClass('continuar');
		}
	
	}
	



	$(document).ready(function() {
	

	
	});


</script>

<?php

$mostrarInfo=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-preparacion-S.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
